> ## Documentation Index
> Fetch the complete documentation index at: https://docs.campfire.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Patch coaapifixed asset automation 

> Retrieve, update, or delete an automation rule.
GET/PUT/PATCH/DELETE /api/fixed-asset-automation/<id>/



## OpenAPI

````yaml https://api.meetcampfire.com/api/schema?format=json patch /coa/api/fixed-asset-automation/{id}/
openapi: 3.0.3
info:
  title: Campfire Developer APIs
  version: 1.0.0
  description: >
    ## Introduction

    Campfire's developer APIs offer granular access to Campfire's core
    accounting,

    revenue recognition, and financial data features.


    These APIs are designed to be used by developers to build custom
    integrations,

    automate workflows, and perform any other programmatic operations.
servers:
  - url: https://api.meetcampfire.com
    description: Production server
security: []
tags:
  - name: Cash Management
    description: Operations related to accounts, transactions, and other bank-related data.
  - name: Core Accounting
    description: >-
      Operations related to core accounting data, such as the chart of accounts,
      entity management, and the general ledger.
  - name: Revenue Recognition
    description: >-
      Operations related to revenue recognition, contract management, and
      contract data aggregation.
  - name: Accounts Receivable
    description: Operations related to invoicing and the AR subledger
  - name: Accounts Payable
    description: Operations related to billing and the AP subledger.
  - name: Financial Statements
    description: Operations related to financial statement generation and data aggregation.
  - name: Settings
    description: Operations related to system and accounting settings configuration.
paths:
  /coa/api/fixed-asset-automation/{id}/:
    patch:
      tags:
        - coa
      description: |-
        Retrieve, update, or delete an automation rule.
        GET/PUT/PATCH/DELETE /api/fixed-asset-automation/<id>/
      operationId: coa_api_fixed_asset_automation_partial_update
      parameters:
        - in: path
          name: id
          schema:
            type: integer
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PatchedFixedAssetAutomationRule'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/PatchedFixedAssetAutomationRule'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/PatchedFixedAssetAutomationRule'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FixedAssetAutomationRule'
          description: ''
      security:
        - knoxApiToken: []
components:
  schemas:
    PatchedFixedAssetAutomationRule:
      type: object
      description: Serializer for automation rules
      properties:
        id:
          type: integer
          readOnly: true
        name:
          type: string
          description: Descriptive name for this rule
          maxLength: 255
        entity:
          type: integer
          description: Entity this rule applies to (determines book currency)
        entity_name:
          type: string
          readOnly: true
        currency:
          type: string
          readOnly: true
          description: Book currency from entity (auto-populated)
        account:
          type: integer
          description: Create assets when transactions are posted to this account
        account_name:
          type: string
          readOnly: true
        account_number:
          type: string
          readOnly: true
        amount_threshold:
          type: number
          format: double
          maximum: 1000000000000000000
          minimum: -1000000000000000000
          exclusiveMaximum: true
          exclusiveMinimum: true
          description: Minimum transaction amount in book currency (materiality threshold)
        asset_class:
          type: integer
          description: Asset class to use for created assets
        asset_class_name:
          type: string
          readOnly: true
        needs_review:
          type: boolean
          description: If true, queue assets for review before creation
        forward_looking:
          type: boolean
          description: Only apply to transactions created after this rule
        created_at:
          type: string
          format: date-time
          readOnly: true
        last_modified_at:
          type: string
          format: date-time
          readOnly: true
    FixedAssetAutomationRule:
      type: object
      description: Serializer for automation rules
      properties:
        id:
          type: integer
          readOnly: true
        name:
          type: string
          description: Descriptive name for this rule
          maxLength: 255
        entity:
          type: integer
          description: Entity this rule applies to (determines book currency)
        entity_name:
          type: string
          readOnly: true
        currency:
          type: string
          readOnly: true
          description: Book currency from entity (auto-populated)
        account:
          type: integer
          description: Create assets when transactions are posted to this account
        account_name:
          type: string
          readOnly: true
        account_number:
          type: string
          readOnly: true
        amount_threshold:
          type: number
          format: double
          maximum: 1000000000000000000
          minimum: -1000000000000000000
          exclusiveMaximum: true
          exclusiveMinimum: true
          description: Minimum transaction amount in book currency (materiality threshold)
        asset_class:
          type: integer
          description: Asset class to use for created assets
        asset_class_name:
          type: string
          readOnly: true
        needs_review:
          type: boolean
          description: If true, queue assets for review before creation
        forward_looking:
          type: boolean
          description: Only apply to transactions created after this rule
        created_at:
          type: string
          format: date-time
          readOnly: true
        last_modified_at:
          type: string
          format: date-time
          readOnly: true
      required:
        - account
        - account_name
        - account_number
        - amount_threshold
        - asset_class
        - asset_class_name
        - created_at
        - currency
        - entity
        - entity_name
        - id
        - last_modified_at
        - name
  securitySchemes:
    knoxApiToken:
      type: apiKey
      in: header
      name: Authorization
      description: Token-based authentication with required prefix "Token"

````